Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.plastic
Class PlasticPopupMenuUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.PopupMenuUI
              javax.swing.plaf.basic.BasicPopupMenuUI
                  com.jgoodies.looks.plastic.PlasticPopupMenuUI

    public final class PlasticPopupMenuUI

extends BasicPopupMenuUI

The JGoodies Plastic look&feel implementation of `PopMenuUI`. It differs from the superclass in that it provides an option to get a narrow border. You can set a client property `Options.NO_MARGIN_KEY` to indicate that this popup menu has a border without margin. That is useful in the special case where the popup contains only a single component, for example a JScrollPane.

Version:
  $Revision: 1.2 $
Author:
  Karsten Lentzsch
See Also:
  `Options.NO_MARGIN_KEY`

Field Summary

Fields inherited from class javax.swing.plaf.basic.BasicPopupMenuUI
`popupMenu`

Constructor Summary
`PlasticPopupMenuUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent b)`
`void` | `installDefaults()`
`protected void` | `installListeners()`
`protected void` | `uninstallListeners()`

Methods inherited from class javax.swing.plaf.basic.BasicPopupMenuUI
`installKeyboardActions, installUI, isPopupTrigger, uninstallDefaults, uninstallKeyboardActions, uninstallUI`

Methods inherited from class javax.swing.plaf.PopupMenuUI
`getPopup`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, getMaximumSize, getMinimumSize, getPreferredSize, paint, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlasticPopupMenuUI

    public PlasticPopupMenuUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent b)

### installDefaults

    public void installDefaults()

  Overrides:
    `installDefaults` in class `BasicPopupMenuUI`

### installListeners

    protected void installListeners()

  Overrides:
    `installListeners` in class `BasicPopupMenuUI`

### uninstallListeners

    protected void uninstallListeners()

  Overrides:
    `uninstallListeners` in class `BasicPopupMenuUI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 JGoodies Karsten Lentzsch. All Rights Reserved.